Index: trunk/kernel_config.h
===================================================================
--- trunk/kernel_config.h	(revision 23)
+++ trunk/kernel_config.h	(revision 50)
@@ -33,15 +33,19 @@
 ////////////////////////////////////////////////////////////////////////////////////////////
 
+#define CONFIG_CLUSTER_DEBUG          0
 #define CONFIG_CONTEXT_DEBUG          0
 #define CONFIG_CORE_DEBUG             0
+#define CONFIG_DEVFS_DEBUG            0
 #define CONFIG_DMA_DEBUG              0
 #define CONFIG_DQDT_DEBUG             0
 #define CONFIG_ELF_DEBUG              0
 #define CONFIG_EXEC_DEBUG             0
+#define CONFIG_FATFS_DEBUG            0
 #define CONFIG_FBF_DEBUG              0
 #define CONFIG_FORK_DEBUG             0
 #define CONFIG_ICU_DEBUG              0
+#define CONFIG_IDLE_DEBUG             1
 #define CONFIG_IOC_DEBUG              0
-#define CONFIG_KCM_DEBUG              0
+#define CONFIG_KCM_DEBUG              1
 #define CONFIG_KHM_DEBUG              0
 #define CONFIG_KINIT_DEBUG            1
@@ -54,8 +58,8 @@
 #define CONFIG_PROCESS_DEBUG          0
 #define CONFIG_RPC_DEBUG              0
-#define CONFIG_SCHED_DEBUG            1
+#define CONFIG_SCHED_DEBUG            0
 #define CONFIG_SIGNAL_DEBUG           0
 #define CONFIG_SYSCALL_DEBUG          0
-#define CONFIG_THREAD_DEBUG           1
+#define CONFIG_THREAD_DEBUG           0
 #define CONFIG_TXT_DEBUG              0
 #define CONFIG_VFS_DEBUG              0
@@ -85,5 +89,5 @@
 #define CONFIG_MAX_FBF_CHANNELS             1          // max number of FBF device channels
 #define CONFIG_MAX_TXT_CHANNELS             16         // max number of TXT device channels
-#define CONFIG_MAX_DMA_CHANNELS             8          // max number of TXT device channels
+#define CONFIG_MAX_DMA_CHANNELS             8          // max number of DMA device channels
 #define CONFIG_MAX_NIC_CHANNELS             8          // max number of NIC device channels
 
@@ -232,63 +236,13 @@
 #define CONFIG_PPM_MAX_ORDER          16           // ln(total number of pages per cluster)
 #define CONFIG_PPM_HEAP_ORDER         10           // ln(number of heap pages per cluster)
-
-#define CONFIG_KCM_BLOCKS_MAX         CONFIG_PPM_PAGE_SIZE / CONFIG_CACHE_LINE_SIZE
+#define CONFIG_PPM_MAX_RSVD           8            // max reserved zones per cluster
+
+#define CONFIG_KCM_SLOT_SIZE          64           // smallest allocated block (bytes)
 
 #define CONFIG_PPM_PAGE_ALIGNED       __attribute__((aligned(CONFIG_PPM_PAGE_SIZE)))
 
 ////////////////////////////////////////////////////////////////////////////////////////////
-//     INSTRUMENTATION  ... probably deprecated ...        
-////////////////////////////////////////////////////////////////////////////////////////////
-
-#define CONFIG_SPINLOCK_CHECK            no
-#define CONFIG_SPINLOCK_TIMEOUT          100
-#define CONFIG_ENABLE_TASK_TRACE         no
-#define CONFIG_ENABLE_THREAD_TRACE       no
-#define CONFIG_SHOW_PAGEFAULT            no
-#define CONFIG_SHOW_CORE_USAGE           no
-#define CONFIG_SHOW_CORE_IPI_MSG         no
-#define CONFIG_SHOW_FPU_MSG              no
-#define CONFIG_SHOW_THREAD_MSG           no
-#define CONFIG_SHOW_PPM_PGALLOC_MSG      no
-#define CONFIG_SHOW_VMM_LOOKUP_TM        no
-#define CONFIG_SHOW_VMM_ERROR_MSG        no
-#define CONFIG_SHOW_SPURIOUS_PGFAULT     no
-#define CONFIG_SHOW_MIGRATE_MSG          no
-#define CONFIG_SHOW_VMMMGRT_MSG          no
-#define CONFIG_SHOW_SYSMGRT_MSG          no
-#define CONFIG_SHOW_REMOTE_PGALLOC       no
-#define CONFIG_SHOW_LOCAL_EVENTS         no
-#define CONFIG_SHOW_SIG_MSG              no
-#define CONFIG_SCHED_SHOW_NOTIFICATIONS  no
-#define CONFIG_SHOW_EPC_CORE0            no
-#define CONFIG_CORE_TRACE                no
-#define CONFIG_KFIFO_DEBUG               no
-#define CONFIG_SHOW_KMEM_INIT            no
-#define CONFIG_MEM_CHECK                 no
-#define CONFIG_THREAD_TIME_STAT          yes
-#define CONFIG_SCHED_RR_CHECK            no
-#define CONFIG_VFAT_PGWRITE_ENABLE       no
-#define CONFIG_VFAT_DEBUG                no
-#define CONFIG_VFAT_INSTRUMENT           no
-#define CONFIG_EXT2_DEBUG                no
-#define CONFIG_METAFS_DEBUG              no
-#define CONFIG_VFS_INODE_LOCAL           yes
-#define CONFIG_DEVFS_DEBUG               no
-#define CONFIG_SYSFS_DEBUG               no
-#define CONFIG_BLKIO_DEBUG               no
-#define CONFIG_BC_DEBUG                  no
-#define CONFIG_BC_INSTRUMENT             no
-
-////////////////////////////////////////////////////////////////////////////////////////////
-//     SYSFS                             
-////////////////////////////////////////////////////////////////////////////////////////////
-
-#define CONFIG_SYSFS_FILE_MIN         1
-#define CONFIG_SYSFS_FILE_MAX         2
-#define CONFIG_SYSFS_NODE_MIN         1
-#define CONFIG_SYSFS_NODE_MAX         2
-#define CONFIG_SYSFS_NAME_LEN         12           // maximum supported name length
-#define CONFIG_SYSFS_BUFFER_SIZE      256          // maximum supported output size 
-
+//    deprecated
+////////////////////////////////////////////////////////////////////////////////////////////
 
 #define CONFIG_DMA_RQ_KCM_MIN         2
